Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.orm.hibernate.proxy
[Java] Class HibernateProxyHandler

    java.lang.Object
      org.codehaus.groovy.grails.orm.hibernate.proxy.HibernateProxyHandler

All Implemented Interfaces:
  EntityProxyHandler

    public class HibernateProxyHandler

Implementation of the ProxyHandler interface for Hibernate.

Authors:
  Graeme Rocher

Since:
  1.2.2

Method Summary
`HibernateProxy` | `getAssociationProxy(java.lang.Object obj, java.lang.String associationName)`
`java.lang.Class` | `getProxiedClass(java.lang.Object o)`
`java.lang.Object` | `getProxyIdentifier(java.lang.Object o)`
`void` | `initialize(java.lang.Object o)`
`boolean` | `isInitialized(java.lang.Object o)`
`boolean` | `isInitialized(java.lang.Object obj, java.lang.String associationName)`
`boolean` | `isProxy(java.lang.Object o)`
`java.lang.Object` | `unwrapIfProxy(java.lang.Object instance)`
`java.lang.Object` | `unwrapProxy(HibernateProxy proxy)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### getAssociationProxy

    public HibernateProxy getAssociationProxy(java.lang.Object obj, java.lang.String associationName)

### getProxiedClass

    public java.lang.Class getProxiedClass(java.lang.Object o)

### getProxyIdentifier

    public java.lang.Object getProxyIdentifier(java.lang.Object o)

### initialize

    public void initialize(java.lang.Object o)

### isInitialized

    public boolean isInitialized(java.lang.Object o)

### isInitialized

    public boolean isInitialized(java.lang.Object obj, java.lang.String associationName)

### isProxy

    public boolean isProxy(java.lang.Object o)

### unwrapIfProxy

    public java.lang.Object unwrapIfProxy(java.lang.Object instance)

### unwrapProxy

    public java.lang.Object unwrapProxy(HibernateProxy proxy)

Groovy Documentation